Page MenuHomePhabricator

Prepare DestructionEngine to be modularized
ClosedPublic

Authored by epriestley on Dec 20 2015, 3:54 PM.
Tags
None
Referenced Files
F11541306: D14831.diff
Wed, Feb 8, 9:55 PM
Unknown Object (File)
Mon, Jan 23, 6:38 AM
Unknown Object (File)
Thu, Jan 12, 5:02 AM
Unknown Object (File)
Jan 3 2023, 6:31 PM
Unknown Object (File)
Dec 23 2022, 12:04 PM
Unknown Object (File)
Nov 29 2022, 8:18 PM
Unknown Object (File)
Nov 29 2022, 8:17 PM
Unknown Object (File)
Nov 29 2022, 8:17 PM
Subscribers
None

Details

Summary

Ref T9979. The general shape of "engine" code feels pretty good, and I plan to move indexing to be more in line with other modern engines, with the ultimate goal of supporting subprojects (T10010) and several intermediate goals.

Before moving indexing, clean up Destruction, since some of the new indexes will need destruction hooks and destruction currently has a lot of instanceof stuff that should be easy to fix by applying more modern approaches.

Test Plan
  • Used bin/remove destroy to destory an Almanac device.
  • Verified that properties for the device were destroyed.
  • Viewed module panel in UI.

Diff Detail

Repository
rP Phabricator
Branch
destroy1
Lint
Lint Passed
Unit
Tests Passed
Build Status
Buildable 9678
Build 11599: Run Core Tests
Build 11598: arc lint + arc unit

Event Timeline

epriestley retitled this revision from to Prepare DestructionEngine to be modularized.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Dec 20 2015, 4:05 PM
This revision was automatically updated to reflect the committed changes.